#ifndef __NQLOGGING_H_INCLUDED_SW__
#define __NQLOGGING_H_INCLUDED_SW__

	#ifdef __NQ_RELEASE_MODE__
		#define NQ_DBG(MSG) (void(0))
		#define NQ_NO_LOGGING 1
		#define NQ_DEBUGMODE_ONLY(a) (void(0))
	#else
		#define NQ_NO_LOGGING 0
		#define NQ_DEBUGMODE_ONLY(a) {a;}
		
		#define NQ_DBG_TYP 1
		#define NQ_DBG(MSG) {exampleNQLoggingSetParameters( NQ_DBG_TYP, __FILE__, __LINE__); exampleNQLoggingHandler MSG ;}

		extern void exampleNQLoggingSetParameters(int aType, const char *aSrcFile, const int aLine);
		extern void exampleNQLoggingHandler( const char *aFormatString,...); 
	#endif

#endif // __NQLOGGING_H_INCLUDED_SW__
