#include "NQ.h"

extern void SimulateRemotePeer(const char *aIPAddressOtherPeer, UINT16 aPortOtherPeer, UINT16 aPort);
extern void SimulateLocalPeer(const char *aIPAddressOtherPeer, UINT16 aPortOtherPeer, UINT16 aPort);
 

/*
// win-win 
void LocalPeerStart()
{
	printf("Simulating (177 oreade20) local peer...\n");
	SimulateLocalPeer("141.34.30.146", 31900, 32900);
}


void RemotePeerStart()
{
	printf("Simulating (146 znvideo2) remote peer...\n");
	SimulateRemotePeer("141.34.30.177", 32900, 31900);
}
*/

/*
// win-win notebook znel
void LocalPeerStart()
{
	printf("Simulating (29.54 znelnb) local peer...\n");
	SimulateLocalPeer("141.34.30.177", 32900, 31900);
}


void RemotePeerStart()
{
	printf("Simulating (177 oreade20) remote peer...\n");
	SimulateRemotePeer("141.34.29.54", 31900, 32900);

}
*/


// win-nios2 
void LocalPeerStart()
{
	printf("There is no local peer (vs. nios2 109)...\n");
	//SimulateLocalPeer("141.34.30.109", 32900, 39900);
	//SimulateLocalPeer("141.34.30.109", 32900, 39900);
	
}

void RemotePeerStart()
{
	//printf("Simulating (3.231 znsatyr54 (vs. nios2 111)) remote peer...\n");
	printf("Simulating (30.177 znoreade20 (vs. nios2 109)) remote peer...\n");
	SimulateRemotePeer("141.34.30.109", 32900, 39900);
}



/*
// additional peer win <-> pi 
void LocalPeerStart()
{
	printf("Simulating (177 oreade20 (vs. pi2 15)) local peer...\n");
	SimulateLocalPeer("141.34.30.15", 31900, 31700);
}


void RemotePeerStart()
{
	printf("There is no remote peer (vs. pi 13 remote)...\n");
}
*/
/*
// win-win cross
void RemotePeerStart()
{
	printf("Simulating (177 oreade20) remote peer...\n");
	SimulateRemotePeer("141.34.30.146", 31900, 32900);
}


void LocalPeerStart()
{
	printf("Simulating (146 znvideo2) local peer...\n");
	SimulateLocalPeer("141.34.30.177", 32900, 31900);
}
*/

/*
// win-lin 
void LocalPeerStart()
{
	printf("Simulating (177 oreade20 (vs. 013 pi)) local peer...\n");
	SimulateLocalPeer("141.34.30.13", 30900, 31900);
}

//void LocalPeerStart()
//{
//	printf("Simulating (177 oreade20 (vs. 013 pi)) BAD local peer...\n");
//	SimulateLocalPeer("141.34.30.12", 32900, 33900);
//}

void RemotePeerStart()
{
	printf("Simulating (177 oreade20 (vs. 013 pi)) remote peer...\n");
	SimulateRemotePeer("141.34.30.13", 30900, 31900);
}
*/


int main(int argc, const char *argv[])
{
	const char param[] = "/remote";

	printf("Windows Main() starting up...\n"); 

	if (argc > 1 && (strlen(argv[1]) == strlen(param)))
	{
		if (_strnicmp(argv[1], param, strlen(param)) == 0)
		{
			RemotePeerStart();
		}
	}
	else
	{
		LocalPeerStart();
	}

	return 0;
}

