#ifndef __TYPES_H_INCLUDED_SW__
#define __TYPES_H_INCLUDED_SW__

// + SW (Apr 2008)
//
//  moved type declaration out of Platform.h to here!
//

// this file needs include nq_system.h to work properly (see define there).

/*	
#ifdef SYSTEM_SUN
#endif

#ifdef SYSTEM_LINUX
#endif

#ifdef SYSTEM_WINDOWS
#endif

#ifdef SYSTEM_NIOS2_LWIP
#endif

#ifdef SYSTEM_NIOS2_NICHE
#endif
*/

#ifdef ONECHAR
	#error ONECHAR already defined! see Types.h  
#else
    typedef		char 			ONECHAR;
#endif

#ifdef VOIDP
	#error VOIDP already defined! see Types.h  
#else
	typedef		void	*		VOIDP;
#endif

#ifdef INT32
	#error INT32 already defined! see Types.h  
#else
	typedef		int				INT32;
#endif

#ifdef UINT32
	#error UINT32 already defined! see Types.h  
#else
	typedef		unsigned int	UINT32;
#endif

#ifdef DOUBLE
	#error DOUBLE already defined! see Types.h  
#else
	typedef		double			DOUBLE;
#endif

#ifdef INT8
	#error INT8 already defined! see Types.h  
#else
	typedef		signed char		INT8;
#endif

#ifdef UINT8
	#error UINT8 already defined! see Types.h  
#else
	typedef		unsigned char	UINT8; 
#endif

#ifdef UINT16
	#error UINT16 already defined! see Types.h  
#else
	typedef		unsigned short	UINT16;
#endif

#ifdef INT16
	#error INT16 already defined! see Types.h  
#else
	typedef		signed short	INT16;
#endif

#ifdef socktype
	#error socktype already defined! see Types.h  
#else
	typedef		int				socktype;
#endif


#if defined(SYSTEM_SUN) || defined(SYSTEM_NIOS2_LWIP) || defined(SYSTEM_NIOS2_NICHE) || defined(SYSTEM_LINUX)
	#ifdef FLOAT
		#error FLOAT already defined! see Types.h  
	#else
		typedef		float			FLOAT;
	#endif

	#ifdef VOID
		#error VOID already defined! see Types.h  
	#else
		typedef		void			VOID;
	#endif

	#ifdef LPVOID
		#error LPVOID already defined! see Types.h  
	#else
		typedef		void	*		LPVOID;
	#endif

	// NO DWORD any more

#endif // unix, nios only

#if defined(SYSTEM_SUN) || defined(SYSTEM_LINUX)
  #ifdef HANDLE
		#error HANDLE already defined! see Types.h  
	#else
		typedef   void  *   HANDLE;
  #endif
#endif

#if defined(SYSTEM_NIOS2_LWIP) || defined(SYSTEM_NIOS2_NICHE)
  
  #ifdef HANDLE
	#error HANDLE already defined! see Types.h  
  #else
    typedef   OS_EVENT  *   HANDLE;
  #endif
#endif



#endif //__TYPES_H_INCLUDED_SW__
